# Addon Vehicles

When using add-on vehicles, FiveM does not automatically provide their display names or thumbnail images. You must manually register them in the following files:

* Vehicle Name: `av_laptop/client/editable/veh_names.lua`
* Thumbnail Image: `av_boosting/client/editable/_vehicleimages.lua`

{% hint style="warning" %}
If you skip this step, the vehicle's name will appear as `NULL` and its image will be missing in the UI.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/boosting/installation/addon-vehicles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
